# lecle_downloads_path_provider

A Flutter project to get the downloads folder path from Android and iOS device.

## How to use

- Simply import the package from Gitlab with the syntax below under dependencies in pubspec.yaml file and run flutter command **flutter pub get** in
  terminal
  
  `dependencies:`\
    &emsp;`flutter:` \
    &emsp;&emsp;`sdk:flutter`

  `downloads:`\
  ` git:`\
  `   url: https://git.baikal.io/mobile/lecle-flutter-modules/mobile-flutter-module/lecle_downloads_path_provider` \
  `   ref: master`

- Add `<uses-permission android:name="android.permission.READ_EXTERNAL_STORAGE" />` to your AndroidManifest.xml

## Example
`import 'package:downloads/downloads_path.dart';`

`Directory? downloadsDirectory = await DownloadsPath.downloadsDirectory;`\
`String? downloadsDirectoryPath = (await DownloadsPath.downloadsDirectory)?.path;`
